import { CommandRegistry } from './command-service';
import { ExtensionsService } from './extensions-service';
import { IPlatformContext, IExtServices } from '@adminide-stack/extension-api';
import { IClientService } from '@adminide-stack/core';
import { PanelViewProviderRegistry } from './panel-views';
/**
 * Services is a container for all services used by the client applicatino.
 */
export declare class Services implements IExtServices, IClientService {
    private platformContext;
    private internalService;
    private environment;
    constructor(platformContext: IPlatformContext | any, internalService: IClientService & IExtServices);
    readonly windows: import("./windows-service").IEditorWindowsService;
    readonly contextKeyService: import("@adminide-stack/core").IContextKeyService;
    readonly lifecycleService: import("@adminide-stack/core").ILifecycleService;
    readonly model: import("@adminide-stack/extension-api").IModelService;
    readonly viewer: import("@adminide-stack/extension-api").IViewerService;
    readonly extensions: ExtensionsService;
    readonly commands: CommandRegistry;
    readonly contribution: import("@adminide-stack/extension-api").IContributionRegistry;
    readonly panelView: PanelViewProviderRegistry;
    readonly organizationContextService: import("@adminide-stack/core").IOrganizationContextService;
    readonly configurationService: import("@adminide-stack/core").IClientConfigurationService;
    readonly registry: import("@adminide-stack/core").IRegistry;
    readonly preferenceService: import("@adminide-stack/core").IPreferenceClientService;
}
